: Class CommandRegistry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi.commands
Class CommandRegistry

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.CommandRegistry

Direct Known Subclasses:
  BasicCommandRegistry

public abstract class CommandRegistry
extends java.lang.Object
implements java.io.Serializable

This class represents a group of SSI commands. This is an abstract class. A concrete subclass of this class is supplied to the SSIFrame for finding the commands present in the document.

See Also:
  `BasicCommandRegistry`, `DefaultCommandRegistry`, Serialized Form

Constructor Summary
`CommandRegistry()`

Method Summary
`abstract java.util.Dictionary` | `initVariables(SSIFrame ssiframe, Request request, java.util.Dictionary variables)` Initialize execution variables.
`abstract Command` | `lookupCommand(java.lang.String name)` Look up a command from its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandRegistry

    public CommandRegistry()

Method Detail

### lookupCommand

    public abstract Command lookupCommand(java.lang.String name)

  Look up a command from its name. (Should never return null, and have a pseudo-command to handle non-existent commands).
  Parameters:
    `name` - the name
  Returns:
    the command

### initVariables

    public abstract java.util.Dictionary initVariables(SSIFrame ssiframe,
                                                       Request request,
                                                       java.util.Dictionary variables)

  Initialize execution variables. Called before any of the SSI commands in the documents are executed. This method augments or modifies the dictionary given as argument. If the variable dictionary is null, it may create a new one and return it. SSIFrame will always call this method with variables set to null. Its existence is mainly to facilitate the subclassing of an existing registry.
  Parameters:
    `request` - the HTTP request
    `variables` - other variables previously defined
  Returns:
    the modified/augmented set of variables

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD